org.apache.thrift.transport

## Enum TFileTransport.tailPolicy

- java.lang.Object
- - java.lang.Enum<TFileTransport.tailPolicy>
  - - org.apache.thrift.transport.TFileTransport.tailPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TFileTransport.tailPolicy>
  Enclosing class:
    TFileTransport

      public static enum TFileTransport.tailPolicy
      extends java.lang.Enum<TFileTransport.tailPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOWAIT`
    `WAIT_FOREVER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `retries_` Number of retries before giving up if 0, no retries if -1, retry forever
    `int` | `timeout_` Time in milliseconds to sleep before next read If 0, no sleep

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TFileTransport.tailPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TFileTransport.tailPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOWAIT

          public static final TFileTransport.tailPolicy NOWAIT

    - #### WAIT_FOREVER

          public static final TFileTransport.tailPolicy WAIT_FOREVER

  - ### Field Detail

    - #### timeout_

          public final int timeout_

      Time in milliseconds to sleep before next read If 0, no sleep

    - #### retries_

          public final int retries_

      Number of retries before giving up if 0, no retries if -1, retry forever

  - ### Method Detail

    - #### values

          public static TFileTransport.tailPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TFileTransport.tailPolicy c : TFileTransport.tailPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TFileTransport.tailPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null